#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	
	ofSetVerticalSync(true);
	
	ofBackground(0,0,0);
	
	ofSetCircleResolution(200);
	
	inputForSin = 0;
	y = 10;
	

}

//--------------------------------------------------------------
void testApp::update(){
	
	
	
	

}

//--------------------------------------------------------------
void testApp::draw(){
	
	
	
	float modulator = ofMap( sin(ofGetElapsedTimef() * 0.1 ) , -1, 1, 0, 1); //change the rate 5x slower. changing the multiply rate will change how fast the molulator runs.  
	
	printf("%f \n", 0.01 + 0.08 * modulator);
	
	
	inputForSin += 0.05 + 0.08 * modulator;
	
	float xpos		= ofMap( sin(inputForSin * 0.1), -1, 1, 0, ofGetWidth()/2);
	//float ypos		= y * ofGetElapsedTimef() *2+ 30;
	y +=0.11;				// increase the y value every frame
	
	
	if(y > ofGetHeight()){
		points.clear();		//clear all the points
		y = 0;				//reset the"y"
	}
		
	
	ofPoint temp;
	temp.x = xpos;
	temp.y = y;
	points.push_back(temp);
	if (points.size() > 1000){
		points.erase(points.begin());
	}
	
	ofSetRectMode(OF_RECTMODE_CENTER);
	ofSetColor(255,0,0);
	ofNoFill();
	ofBeginShape();
	for (int i = 0; i < points.size(); i++){
		ofVertex(points[i].x, points[i].y);
	}
	ofEndShape();
	


	
	

}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

